On Fri, 26 Jan 2007 00:25:30 +0900, "Akinori MUSHA" <knu / iDaemons.org> wrote:
> For fastthread, I'm not sure because trunk has a new threading model,
> and fastthread may not apply to trunk.  I think we need more
> discussion, reviewing and testing.  Maybe we can have a new branch for
> that.

fastthread is also different in that it isn't a new library, but a re-implementation of an existing one (thread.rb).  The patch for 1.8 would simply replace much of thread.rb with a "require 'thread.so'" that implemented the same classes.

-mental